
QGIS Application - Bug report #15582

Union error: "global name 'vproviderA' is not defined

2016-09-19 08:23 AM - Hugo Nicolau Barbosa de Gusmão

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23506

Description

Hi everyone!

In Qgis 2.16.2-2 and 2.16.2-3 the " Join" tool does not work . When trying to join two shapefiles , an error occurs :

"global name 'vproviderA' is not defined. See log for more details" .

Log:

  File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\algs\\qgis\\Union.py", line 78, in processAlgorithm

                geomType, vproviderA.crs())

            NameError: global name 'vproviderA' is not defined.

History

#1 - 2016-09-20 12:25 AM - Frank Sokolic

I get the same error when using the Union tool on QGIS Master with Ubuntu 16.04. The error occurs when accessing the tool via the menu (Vector >

Geoprocessing Tools > Union) or via the Processing toolbox (QGIS Algorithms > Vector overlay tools > Union).

#2 - 2016-09-22 08:36 AM - Victor Ducrot

Same error and manjaro linux (based on arch).

#3 - 2016-09-22 08:46 AM - Victor Ducrot

vproviderA has to be replaced by vlayerA line 78 of /usr/share/qgis/python/plugins/processing/algs/qgis/Union.py in Linux.

The modification seems to have been done already on qgis-master on github: 

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/qgis/Union.py

You can also presumably just replace your Union.py file by this one.

#4 - 2016-09-26 02:46 PM - Ervin Wirth

The same error on Windows 7 64 bit with QGIS 2.16

#5 - 2016-10-04 12:52 AM - Eivind Olsen

Same error on Windows 7 64 bit with QGIS 2.16.3, both within QGIS and from a standalone script. Editing
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/qgis/Union.py


"C:\\OSGeo4W64\\apps\\qgis\\python\\plugins\\processing\\algs\\qgis\\Union.py" as suggested in #4 above does the trick for the Union tool from within

QGIS. It seems to fix the problem in the standalone script, but now produces new errors:

ERROR 1: Attempt to write non-polygon (MULTILINESTRING) geometry to POLYGON type

 shapefile.

ERROR 1: Attempt to write non-polygon (POINT) geometry to POLYGON type shapefile

#6 - 2016-12-28 09:53 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Seems already fixed. Please reopen if necessary.

#7 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
